.header {
	height: var(--header-height);
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	z-index: 20;
	box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 4px 0px;
	background-color: var(--background-color);
	gap: 0.75rem;

	& .header-button {
		color: var(--app-tertiary-color);
		display: flex;
		flex-direction: row;
		align-items: center;
		background-color: transparent;
		border: none;
		height: 100%;
		padding: 0 0.75rem;

		&:hover {
			background-color: var(--background-highlight-color);
			cursor: pointer;
		}

		& .menu-caption {
			font-family: var(--app-font-family);
			font-size: 1rem;
			font-weight: bold;
			margin-left: 4px;
		}
	}

	& .header-right {
		display: flex;
		flex-direction: row;
		align-items: center;
		height: 100%;

		& .logo-container {
			display: flex;
			align-items: center;
			line-height: 0.5;
			height: 100%;
			max-height: var(--header-height);

			& img {
				height: calc(100% - 8px);
				max-height: calc(100% - 8px);
				width: auto;
				display: block;
				background: transparent;
				border-radius: 5px;
				box-shadow: none;
				margin-top: 4px;
				margin-bottom: 4px;
			}
		}

		& .avatar-container {
			display: flex;
			align-items: center;
			height: 100%;

			& .login-span {
				font-size: 0.875rem;
				font-family: var(--app-font-family);
				color: var(--app-font-color);
			}

			& .popover-container,
			& .popover-trigger {
				height: 100%;
				display: flex;
				align-items: center;
			}
		}
	}
}

[data-theme="dark"] .logo-container img {
	background: transparent;
	filter: brightness(0.95) contrast(1.2);
}

@media only screen and (width < 400px) {
	.menu-caption,
	.avatar-container {
		display: none !important;
	}
}
